/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'cidid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'cidname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'jqx',
        prop: 'jqx',
        dataType: 'YESNO',
      },
      {
        name: 'jqxdb',
        prop: 'jqxdb',
        dataType: 'DATETIME',
      },
      {
        name: 'jqxde',
        prop: 'jqxde',
        dataType: 'DATETIME',
      },
      {
        name: 'formitemex1',
      },
      {
        name: 'syx',
        prop: 'syx',
        dataType: 'YESNO',
      },
      {
        name: 'syxdb',
        prop: 'syxdb',
        dataType: 'DATETIME',
      },
      {
        name: 'syxde',
        prop: 'syxde',
        dataType: 'DATETIME',
      },
      {
        name: 'formitemex2',
      },
      {
        name: 'orgname',
        prop: 'orgname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'qdlx',
        prop: 'qdlx',
        dataType: 'SSCODELIST',
      },
      {
        name: 'ywly',
        prop: 'ywly',
        dataType: 'SSCODELIST',
      },
      {
        name: 'orgusername',
        prop: 'orgusername',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'PICKUP',
      },
      {
        name: 'cphm',
        prop: 'cphm',
        dataType: 'TEXT',
      },
      {
        name: 'cjh',
        prop: 'cjh',
        dataType: 'TEXT',
      },
      {
        name: 'formitem',
      },
      {
        name: 'fdjh',
        prop: 'fdjh',
        dataType: 'TEXT',
      },
      {
        name: 'cdrq',
        prop: 'cdrq',
        dataType: 'DATE',
      },
      {
        name: 'hpzl',
        prop: 'hpzl',
        dataType: 'SSCODELIST',
      },
      {
        name: 'cldl',
        prop: 'cldl',
        dataType: 'SSCODELIST',
      },
      {
        name: 'clzl',
        prop: 'clzl',
        dataType: 'SSCODELIST',
      },
      {
        name: 'syxz',
        prop: 'syxz',
        dataType: 'SSCODELIST',
      },
      {
        name: 'cpxhname',
        prop: 'cpxhname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'dycpxh',
        prop: 'dycpxh',
        dataType: 'TEXT',
      },
      {
        name: 'cllxms',
        prop: 'cllxms',
        dataType: 'SSCODELIST',
      },
      {
        name: 'xcgzj',
        prop: 'xcgzj',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'hdzk',
        prop: 'hdzk',
        dataType: 'INT',
      },
      {
        name: 'clsjjz',
        prop: 'clsjjz',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'pl',
        prop: 'pl',
        dataType: 'DECIMAL',
      },
      {
        name: 'gl',
        prop: 'gl',
        dataType: 'DECIMAL',
      },
      {
        name: 'hdzzl',
        prop: 'hdzzl',
        dataType: 'DECIMAL',
      },
      {
        name: 'zbzl',
        prop: 'zbzl',
        dataType: 'DECIMAL',
      },
      {
        name: 'hpds',
        prop: 'hpds',
        dataType: 'SSCODELIST',
      },
      {
        name: 'abl',
        prop: 'abl',
        dataType: 'SSCODELIST',
      },
      {
        name: 'jqxdqfs',
        prop: 'jqxdqfs',
        dataType: 'SSCODELIST',
      },
      {
        name: 'jqxdqfl',
        prop: 'jqxdqfl',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'syxdqfs',
        prop: 'syxdqfs',
        dataType: 'SSCODELIST',
      },
      {
        name: 'syxdqfl',
        prop: 'syxdqfl',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'jsbfbj',
      },
      {
        name: 'se_jqx',
        prop: 'se_jqx',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'bhsbf_jqx',
        prop: 'bhsbf_jqx',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'hsbf_jqx',
        prop: 'hsbf_jqx',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'ccs_jqx',
        prop: 'ccs_jqx',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'hj',
        prop: 'hj',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'se_syx',
        prop: 'se_syx',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'bhsbf_syx',
        prop: 'bhsbf_syx',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'hsbf_syx',
        prop: 'hsbf_syx',
        dataType: 'BIGDECIMAL',
      },
      {
        name: 'orguserid',
        prop: 'orguserid',
        dataType: 'PICKUP',
      },
      {
        name: 'cpxhid',
        prop: 'cpxhid',
        dataType: 'PICKUP',
      },
      {
        name: 'cidid',
        prop: 'cidid',
        dataType: 'GUID',
      },
      {
        name: 'cid',
        prop: 'cidid',
        dataType: 'FONTKEY',
      },
    ]
  }

}