/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'orguserid',
				prop: 'orguserid',
				dataType: 'PICKUP',
			},
			{
				name: 'clzl',
				prop: 'clzl',
				dataType: 'SSCODELIST',
			},
			{
				name: 'cpxhid',
				prop: 'cpxhid',
				dataType: 'PICKUP',
			},
			{
				name: 'updateman',
				prop: 'updateman',
				dataType: 'TEXT',
			},
			{
				name: 'cdrq',
				prop: 'cdrq',
				dataType: 'DATE',
			},
			{
				name: 'abl',
				prop: 'abl',
				dataType: 'SSCODELIST',
			},
			{
				name: 'srfmajortext',
				prop: 'cidname',
				dataType: 'TEXT',
			},
			{
				name: 'srfdataaccaction',
				prop: 'cidid',
				dataType: 'GUID',
			},
			{
				name: 'orgusername',
				prop: 'orgusername',
				dataType: 'PICKUPTEXT',
			},
			{
				name: 'srfkey',
				prop: 'cidid',
				dataType: 'GUID',
			},
			{
				name: 'cidname',
				prop: 'cidname',
				dataType: 'TEXT',
			},
			{
				name: 'orgid',
				prop: 'orgid',
				dataType: 'PICKUP',
			},
			{
				name: 'orgname',
				prop: 'orgname',
				dataType: 'PICKUPTEXT',
			},
			{
				name: 'cjh',
				prop: 'cjh',
				dataType: 'TEXT',
			},
			{
				name: 'cphm',
				prop: 'cphm',
				dataType: 'TEXT',
			},
			{
				name: 'cldl',
				prop: 'cldl',
				dataType: 'SSCODELIST',
			},
			{
				name: 'updatedate',
				prop: 'updatedate',
				dataType: 'DATETIME',
			},
			{
				name: 'cid',
				prop: 'cidid',
			},

      {
        name: 'n_cidname_like',
        prop: 'n_cidname_like',
        dataType: 'TEXT',
      },
      {
        name: 'n_clzl_eq',
        prop: 'n_clzl_eq',
        dataType: 'SSCODELIST',
      },
      {
        name: 'n_cpxhname_eq',
        prop: 'n_cpxhname_eq',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'n_jqxdqfs_eq',
        prop: 'n_jqxdqfs_eq',
        dataType: 'SSCODELIST',
      },
      {
        name: 'n_orgname_like',
        prop: 'n_orgname_like',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'n_cpxhid_eq',
        prop: 'n_cpxhid_eq',
      },

      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}